Subject: mod_auth_mysql link problems
From: "Bill McCormick" <[email-masked]>
To: <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Thu, 21 Aug 2003 07:38:13 -0500

Zeev,

I'm having problems linking with the MySQL 4.0 libmysqlclient under cygwin.
It appears that the lib does not have mysql_connect() but instead has
my_connect(). Does mod_auth_mysql need to be updated? Am I doing something
wrong? Is there a work-around?

Additionally, I would like *not* to have an .htaccess file in each of many
user/admin directories for a project I'm working on. I would like to be able
to use the directive [Auth_MySQL_DB] in httpd.conf as follows:

<Directory /var/www/htdocs/*/admin>
    AuthType Basic
    AuthName "Password Required"
    Auth_MySQL_DB *
    Auth_MySQL_Password_Table http_auth
    Auth_MySQL_Group_Table http_auth
    Auth_MySQL_Empty_Passwords  Off
    Require Group admins
</Directory>

Each of my users will have there own db and further be able to apply access
privileges to additional users for their db. How much trouble would it be to
make this change? Or does it now exist in some form or another?

Thanks,

Bill McCormick
---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.512 / Virus Database: 309 - Release Date: 8/19/2003

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/